Skip to content
Start here

Delete a relay

client.moq.relays.delete(stringrelayId, RelayDeleteParams { account_id } params, RequestOptionsoptions?): RelayDeleteResponse | null
DELETE/accounts/{account_id}/moq/relays/{relay_id}

Soft-deletes a MoQ relay.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
ParametersExpand Collapse
relayId: string
params: RelayDeleteParams { account_id }
account_id: string

Cloudflare account identifier.

ReturnsExpand Collapse
RelayDeleteResponse = unknown

Delete a relay

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const relay = await client.moq.relays.delete('a1b2c3d4e5f67890a1b2c3d4e5f67890', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(relay);
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "success": true,
  "result": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "success": true,
  "result": {}
}